Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.el.util
Class ReferenceMap<K,V>

    java.lang.Object
      org.richfaces.el.util.ReferenceMap<K,V>

All Implemented Interfaces:
  java.util.Map<K,V>

    public class ReferenceMap<K,V>

extends java.lang.Object
implements java.util.Map<K,V>

Created 17.03.2008

Since:
  3.2
Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `ReferenceMap.ReferenceMapSoftReference<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`ReferenceMap()`
`ReferenceMap(java.util.Map<K,java.lang.ref.Reference<V>> map)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
`V` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Set<K>` | `keySet()`
`V` | `put(K key, V value)`
`void` | `putAll(java.util.Map<? extends K,? extends V> t)`
`V` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection<V>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ReferenceMap

    public ReferenceMap()

### ReferenceMap

    public ReferenceMap(java.util.Map<K,java.lang.ref.Reference<V>> map)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,V>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<K,V>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,V>`

### get

    public V get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,V>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`

### put

    public V put(K key,
                 V value)

  Specified by:
    `put` in interface `java.util.Map<K,V>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends V> t)

  Specified by:
    `putAll` in interface `java.util.Map<K,V>`

### remove

    public V remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<K,V>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,V>`

### values

    public java.util.Collection<V> values()

  Specified by:
    `values` in interface `java.util.Map<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.